local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Reputations(container)




--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CReputations")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Reputations are one of the key things to obtain for gaining Mounts, Pets, Gear and More.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


   local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CView Reputation Guides")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 15, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Catagorised by Expansion you'll be able to choose from every Reputation to level, with over 109+ Guides covering all Reputations In WoW.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

local OpenGoldGuides = AceGUI:Create("Button")
  OpenGoldGuides:SetText("Open Guides")
  OpenGoldGuides:SetWidth(350)
  scroll:AddChild(OpenGoldGuides)
  OpenGoldGuides:SetCallback("OnClick", function() 

	core.ReputationsUI(container)
  
  end)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end